<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindturbineinfodaytopMapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windturbineinfodaytop">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="DECIMAL" property="id" />
    <result column="WINDPOWERSTATIONID" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="PROJECTID" jdbcType="VARCHAR" property="projectid" />
    <result column="LINEID" jdbcType="VARCHAR" property="lineid" />
    <result column="WINDTURBINEID" jdbcType="VARCHAR" property="windturbineid" />
    <result column="RECORDDATE" jdbcType="TIMESTAMP" property="recorddate" />
    <result column="DAYFDL" jdbcType="DECIMAL" property="dayfdl" />
    <result column="MONTHFDL" jdbcType="DECIMAL" property="monthfdl" />
    <result column="YEARFDL" jdbcType="DECIMAL" property="yearfdl" />
    <result column="DAYLLFDL" jdbcType="DECIMAL" property="dayllfdl" />
    <result column="MONTHLLFDL" jdbcType="DECIMAL" property="monthllfdl" />
    <result column="YEARLLFDL" jdbcType="DECIMAL" property="yearllfdl" />
    <result column="DAYFS" jdbcType="DECIMAL" property="dayfs" />
    <result column="MONTHFS" jdbcType="DECIMAL" property="monthfs" />
    <result column="YEARFS" jdbcType="DECIMAL" property="yearfs" />
    <result column="DAYGL" jdbcType="DECIMAL" property="daygl" />
    <result column="MONTHGL" jdbcType="DECIMAL" property="monthgl" />
    <result column="YEARGL" jdbcType="DECIMAL" property="yeargl" />
    <result column="DAYGZSSDL" jdbcType="DECIMAL" property="daygzssdl" />
    <result column="MONTHGZSSDL" jdbcType="DECIMAL" property="monthgzssdl" />
    <result column="YEARGZSSDL" jdbcType="DECIMAL" property="yeargzssdl" />
    <result column="DAYXDSSDL" jdbcType="DECIMAL" property="dayxdssdl" />
    <result column="MONTHXDSSDL" jdbcType="DECIMAL" property="monthxdssdl" />
    <result column="YEARXDSSDL" jdbcType="DECIMAL" property="yearxdssdl" />
    <result column="DAYWHSSDL" jdbcType="DECIMAL" property="daywhssdl" />
    <result column="MONTHWHSSDL" jdbcType="DECIMAL" property="monthwhssdl" />
    <result column="YEARWHSSDL" jdbcType="DECIMAL" property="yearwhssdl" />
    <result column="DAYXNSSDL" jdbcType="DECIMAL" property="dayxnssdl" />
    <result column="MONTHXNSSDL" jdbcType="DECIMAL" property="monthxnssdl" />
    <result column="YEARXNSSDL" jdbcType="DECIMAL" property="yearxnssdl" />
    <result column="DAYGZSJ" jdbcType="DECIMAL" property="daygzsj" />
    <result column="MONTHGZSJ" jdbcType="DECIMAL" property="monthgzsj" />
    <result column="YEARGZSJ" jdbcType="DECIMAL" property="yeargzsj" />
    <result column="DAYWHSJ" jdbcType="DECIMAL" property="daywhsj" />
    <result column="MONTHWHSJ" jdbcType="DECIMAL" property="monthwhsj" />
    <result column="YEARWHSJ" jdbcType="DECIMAL" property="yearwhsj" />
    <result column="DAYYXSJ" jdbcType="DECIMAL" property="dayyxsj" />
    <result column="MONTHYXSJ" jdbcType="DECIMAL" property="monthyxsj" />
    <result column="YEARYXSJ" jdbcType="DECIMAL" property="yearyxsj" />
    <result column="DAYTJSJ" jdbcType="DECIMAL" property="daytjsj" />
    <result column="MONTHTJSJ" jdbcType="DECIMAL" property="monthtjsj" />
    <result column="YEARTJSJ" jdbcType="DECIMAL" property="yeartjsj" />
    <result column="DAYLYXS" jdbcType="DECIMAL" property="daylyxs" />
    <result column="MONTHLYXS" jdbcType="DECIMAL" property="monthlyxs" />
    <result column="YEARLYXS" jdbcType="DECIMAL" property="yearlyxs" />
    <result column="DAYNHYD" jdbcType="DECIMAL" property="daynhyd" />
    <result column="MONTHNHYD" jdbcType="DECIMAL" property="monthnhyd" />
    <result column="YEARNHYD" jdbcType="DECIMAL" property="yearnhyd" />
    <result column="DAYSBKLYL" jdbcType="DECIMAL" property="daysbklyl" />
    <result column="MONTHSBKLYL" jdbcType="DECIMAL" property="monthsbklyl" />
    <result column="YEARSBKLYL" jdbcType="DECIMAL" property="yearsbklyl" />
    <result column="DAYDXKYXS" jdbcType="DECIMAL" property="daydxkyxs" />
    <result column="MONTHDXKYXS" jdbcType="DECIMAL" property="monthdxkyxs" />
    <result column="YEARDXKYXS" jdbcType="DECIMAL" property="yeardxkyxs" />
    <result column="DAYYXFSS" jdbcType="DECIMAL" property="dayyxfss" />
    <result column="MONTHYXFSS" jdbcType="DECIMAL" property="monthyxfss" />
    <result column="YEARYXFSS" jdbcType="DECIMAL" property="yearyxfss" />
    <result column="DAYXFQR" jdbcType="DECIMAL" property="dayxfqr" />
    <result column="MONTHXFQR" jdbcType="DECIMAL" property="monthxfqr" />
    <result column="YEARXFQR" jdbcType="DECIMAL" property="yearxfqr" />
    <result column="DAYJFPL" jdbcType="DECIMAL" property="dayjfpl" />
    <result column="MONTHJFPL" jdbcType="DECIMAL" property="monthjfpl" />
    <result column="YEARJFPL" jdbcType="DECIMAL" property="yearjfpl" />
    <result column="DAYGLYZXXS" jdbcType="DECIMAL" property="dayglyzxxs" />
    <result column="MONTHGLYZXXS" jdbcType="DECIMAL" property="monthglyzxxs" />
    <result column="YEARGLYZXXS" jdbcType="DECIMAL" property="yearglyzxxs" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, WINDPOWERSTATIONID, PROJECTID, LINEID, WINDTURBINEID, RECORDDATE, DAYFDL, MONTHFDL, 
    YEARFDL, DAYLLFDL, MONTHLLFDL, YEARLLFDL, DAYFS, MONTHFS, YEARFS, DAYGL, MONTHGL, 
    YEARGL, DAYGZSSDL, MONTHGZSSDL, YEARGZSSDL, DAYXDSSDL, MONTHXDSSDL, YEARXDSSDL, DAYWHSSDL, 
    MONTHWHSSDL, YEARWHSSDL, DAYXNSSDL, MONTHXNSSDL, YEARXNSSDL, DAYGZSJ, MONTHGZSJ, 
    YEARGZSJ, DAYWHSJ, MONTHWHSJ, YEARWHSJ, DAYYXSJ, MONTHYXSJ, YEARYXSJ, DAYTJSJ, MONTHTJSJ, 
    YEARTJSJ, DAYLYXS, MONTHLYXS, YEARLYXS, DAYNHYD, MONTHNHYD, YEARNHYD, DAYSBKLYL, 
    MONTHSBKLYL, YEARSBKLYL, DAYDXKYXS, MONTHDXKYXS, YEARDXKYXS, DAYYXFSS, MONTHYXFSS, 
    YEARYXFSS, DAYXFQR, MONTHXFQR, YEARXFQR, DAYJFPL, MONTHJFPL, YEARJFPL, DAYGLYZXXS, 
    MONTHGLYZXXS, YEARGLYZXXS
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindturbineinfodaytopExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from WINDTURBINEINFODAYTOP
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Short" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from WINDTURBINEINFODAYTOP
    where ID = #{id,jdbcType=DECIMAL}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Short">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WINDTURBINEINFODAYTOP
    where ID = #{id,jdbcType=DECIMAL}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindturbineinfodaytopExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WINDTURBINEINFODAYTOP
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WINDTURBINEINFODAYTOP (ID, WINDPOWERSTATIONID, PROJECTID, 
      LINEID, WINDTURBINEID, RECORDDATE, 
      DAYFDL, MONTHFDL, YEARFDL, 
      DAYLLFDL, MONTHLLFDL, YEARLLFDL, 
      DAYFS, MONTHFS, YEARFS, 
      DAYGL, MONTHGL, YEARGL, 
      DAYGZSSDL, MONTHGZSSDL, YEARGZSSDL, 
      DAYXDSSDL, MONTHXDSSDL, YEARXDSSDL, 
      DAYWHSSDL, MONTHWHSSDL, YEARWHSSDL, 
      DAYXNSSDL, MONTHXNSSDL, YEARXNSSDL, 
      DAYGZSJ, MONTHGZSJ, YEARGZSJ, 
      DAYWHSJ, MONTHWHSJ, YEARWHSJ, 
      DAYYXSJ, MONTHYXSJ, YEARYXSJ, 
      DAYTJSJ, MONTHTJSJ, YEARTJSJ, 
      DAYLYXS, MONTHLYXS, YEARLYXS, 
      DAYNHYD, MONTHNHYD, YEARNHYD, 
      DAYSBKLYL, MONTHSBKLYL, YEARSBKLYL, 
      DAYDXKYXS, MONTHDXKYXS, YEARDXKYXS, 
      DAYYXFSS, MONTHYXFSS, YEARYXFSS, 
      DAYXFQR, MONTHXFQR, YEARXFQR, 
      DAYJFPL, MONTHJFPL, YEARJFPL, 
      DAYGLYZXXS, MONTHGLYZXXS, YEARGLYZXXS
      )
    values (#{id,jdbcType=DECIMAL}, #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, 
      #{lineid,jdbcType=VARCHAR}, #{windturbineid,jdbcType=VARCHAR}, #{recorddate,jdbcType=TIMESTAMP}, 
      #{dayfdl,jdbcType=DECIMAL}, #{monthfdl,jdbcType=DECIMAL}, #{yearfdl,jdbcType=DECIMAL}, 
      #{dayllfdl,jdbcType=DECIMAL}, #{monthllfdl,jdbcType=DECIMAL}, #{yearllfdl,jdbcType=DECIMAL}, 
      #{dayfs,jdbcType=DECIMAL}, #{monthfs,jdbcType=DECIMAL}, #{yearfs,jdbcType=DECIMAL}, 
      #{daygl,jdbcType=DECIMAL}, #{monthgl,jdbcType=DECIMAL}, #{yeargl,jdbcType=DECIMAL}, 
      #{daygzssdl,jdbcType=DECIMAL}, #{monthgzssdl,jdbcType=DECIMAL}, #{yeargzssdl,jdbcType=DECIMAL}, 
      #{dayxdssdl,jdbcType=DECIMAL}, #{monthxdssdl,jdbcType=DECIMAL}, #{yearxdssdl,jdbcType=DECIMAL}, 
      #{daywhssdl,jdbcType=DECIMAL}, #{monthwhssdl,jdbcType=DECIMAL}, #{yearwhssdl,jdbcType=DECIMAL}, 
      #{dayxnssdl,jdbcType=DECIMAL}, #{monthxnssdl,jdbcType=DECIMAL}, #{yearxnssdl,jdbcType=DECIMAL}, 
      #{daygzsj,jdbcType=DECIMAL}, #{monthgzsj,jdbcType=DECIMAL}, #{yeargzsj,jdbcType=DECIMAL}, 
      #{daywhsj,jdbcType=DECIMAL}, #{monthwhsj,jdbcType=DECIMAL}, #{yearwhsj,jdbcType=DECIMAL}, 
      #{dayyxsj,jdbcType=DECIMAL}, #{monthyxsj,jdbcType=DECIMAL}, #{yearyxsj,jdbcType=DECIMAL}, 
      #{daytjsj,jdbcType=DECIMAL}, #{monthtjsj,jdbcType=DECIMAL}, #{yeartjsj,jdbcType=DECIMAL}, 
      #{daylyxs,jdbcType=DECIMAL}, #{monthlyxs,jdbcType=DECIMAL}, #{yearlyxs,jdbcType=DECIMAL}, 
      #{daynhyd,jdbcType=DECIMAL}, #{monthnhyd,jdbcType=DECIMAL}, #{yearnhyd,jdbcType=DECIMAL}, 
      #{daysbklyl,jdbcType=DECIMAL}, #{monthsbklyl,jdbcType=DECIMAL}, #{yearsbklyl,jdbcType=DECIMAL}, 
      #{daydxkyxs,jdbcType=DECIMAL}, #{monthdxkyxs,jdbcType=DECIMAL}, #{yeardxkyxs,jdbcType=DECIMAL}, 
      #{dayyxfss,jdbcType=DECIMAL}, #{monthyxfss,jdbcType=DECIMAL}, #{yearyxfss,jdbcType=DECIMAL}, 
      #{dayxfqr,jdbcType=DECIMAL}, #{monthxfqr,jdbcType=DECIMAL}, #{yearxfqr,jdbcType=DECIMAL}, 
      #{dayjfpl,jdbcType=DECIMAL}, #{monthjfpl,jdbcType=DECIMAL}, #{yearjfpl,jdbcType=DECIMAL}, 
      #{dayglyzxxs,jdbcType=DECIMAL}, #{monthglyzxxs,jdbcType=DECIMAL}, #{yearglyzxxs,jdbcType=DECIMAL}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WINDTURBINEINFODAYTOP
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID,
      </if>
      <if test="projectid != null">
        PROJECTID,
      </if>
      <if test="lineid != null">
        LINEID,
      </if>
      <if test="windturbineid != null">
        WINDTURBINEID,
      </if>
      <if test="recorddate != null">
        RECORDDATE,
      </if>
      <if test="dayfdl != null">
        DAYFDL,
      </if>
      <if test="monthfdl != null">
        MONTHFDL,
      </if>
      <if test="yearfdl != null">
        YEARFDL,
      </if>
      <if test="dayllfdl != null">
        DAYLLFDL,
      </if>
      <if test="monthllfdl != null">
        MONTHLLFDL,
      </if>
      <if test="yearllfdl != null">
        YEARLLFDL,
      </if>
      <if test="dayfs != null">
        DAYFS,
      </if>
      <if test="monthfs != null">
        MONTHFS,
      </if>
      <if test="yearfs != null">
        YEARFS,
      </if>
      <if test="daygl != null">
        DAYGL,
      </if>
      <if test="monthgl != null">
        MONTHGL,
      </if>
      <if test="yeargl != null">
        YEARGL,
      </if>
      <if test="daygzssdl != null">
        DAYGZSSDL,
      </if>
      <if test="monthgzssdl != null">
        MONTHGZSSDL,
      </if>
      <if test="yeargzssdl != null">
        YEARGZSSDL,
      </if>
      <if test="dayxdssdl != null">
        DAYXDSSDL,
      </if>
      <if test="monthxdssdl != null">
        MONTHXDSSDL,
      </if>
      <if test="yearxdssdl != null">
        YEARXDSSDL,
      </if>
      <if test="daywhssdl != null">
        DAYWHSSDL,
      </if>
      <if test="monthwhssdl != null">
        MONTHWHSSDL,
      </if>
      <if test="yearwhssdl != null">
        YEARWHSSDL,
      </if>
      <if test="dayxnssdl != null">
        DAYXNSSDL,
      </if>
      <if test="monthxnssdl != null">
        MONTHXNSSDL,
      </if>
      <if test="yearxnssdl != null">
        YEARXNSSDL,
      </if>
      <if test="daygzsj != null">
        DAYGZSJ,
      </if>
      <if test="monthgzsj != null">
        MONTHGZSJ,
      </if>
      <if test="yeargzsj != null">
        YEARGZSJ,
      </if>
      <if test="daywhsj != null">
        DAYWHSJ,
      </if>
      <if test="monthwhsj != null">
        MONTHWHSJ,
      </if>
      <if test="yearwhsj != null">
        YEARWHSJ,
      </if>
      <if test="dayyxsj != null">
        DAYYXSJ,
      </if>
      <if test="monthyxsj != null">
        MONTHYXSJ,
      </if>
      <if test="yearyxsj != null">
        YEARYXSJ,
      </if>
      <if test="daytjsj != null">
        DAYTJSJ,
      </if>
      <if test="monthtjsj != null">
        MONTHTJSJ,
      </if>
      <if test="yeartjsj != null">
        YEARTJSJ,
      </if>
      <if test="daylyxs != null">
        DAYLYXS,
      </if>
      <if test="monthlyxs != null">
        MONTHLYXS,
      </if>
      <if test="yearlyxs != null">
        YEARLYXS,
      </if>
      <if test="daynhyd != null">
        DAYNHYD,
      </if>
      <if test="monthnhyd != null">
        MONTHNHYD,
      </if>
      <if test="yearnhyd != null">
        YEARNHYD,
      </if>
      <if test="daysbklyl != null">
        DAYSBKLYL,
      </if>
      <if test="monthsbklyl != null">
        MONTHSBKLYL,
      </if>
      <if test="yearsbklyl != null">
        YEARSBKLYL,
      </if>
      <if test="daydxkyxs != null">
        DAYDXKYXS,
      </if>
      <if test="monthdxkyxs != null">
        MONTHDXKYXS,
      </if>
      <if test="yeardxkyxs != null">
        YEARDXKYXS,
      </if>
      <if test="dayyxfss != null">
        DAYYXFSS,
      </if>
      <if test="monthyxfss != null">
        MONTHYXFSS,
      </if>
      <if test="yearyxfss != null">
        YEARYXFSS,
      </if>
      <if test="dayxfqr != null">
        DAYXFQR,
      </if>
      <if test="monthxfqr != null">
        MONTHXFQR,
      </if>
      <if test="yearxfqr != null">
        YEARXFQR,
      </if>
      <if test="dayjfpl != null">
        DAYJFPL,
      </if>
      <if test="monthjfpl != null">
        MONTHJFPL,
      </if>
      <if test="yearjfpl != null">
        YEARJFPL,
      </if>
      <if test="dayglyzxxs != null">
        DAYGLYZXXS,
      </if>
      <if test="monthglyzxxs != null">
        MONTHGLYZXXS,
      </if>
      <if test="yearglyzxxs != null">
        YEARGLYZXXS,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayfdl != null">
        #{dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthfdl != null">
        #{monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearfdl != null">
        #{yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllfdl != null">
        #{dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthllfdl != null">
        #{monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearllfdl != null">
        #{yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayfs != null">
        #{dayfs,jdbcType=DECIMAL},
      </if>
      <if test="monthfs != null">
        #{monthfs,jdbcType=DECIMAL},
      </if>
      <if test="yearfs != null">
        #{yearfs,jdbcType=DECIMAL},
      </if>
      <if test="daygl != null">
        #{daygl,jdbcType=DECIMAL},
      </if>
      <if test="monthgl != null">
        #{monthgl,jdbcType=DECIMAL},
      </if>
      <if test="yeargl != null">
        #{yeargl,jdbcType=DECIMAL},
      </if>
      <if test="daygzssdl != null">
        #{daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthgzssdl != null">
        #{monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="yeargzssdl != null">
        #{yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxdssdl != null">
        #{dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxdssdl != null">
        #{monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxdssdl != null">
        #{yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daywhssdl != null">
        #{daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthwhssdl != null">
        #{monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearwhssdl != null">
        #{yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxnssdl != null">
        #{dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxnssdl != null">
        #{monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxnssdl != null">
        #{yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="daygzsj != null">
        #{daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="monthgzsj != null">
        #{monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="yeargzsj != null">
        #{yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="daywhsj != null">
        #{daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="monthwhsj != null">
        #{monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="yearwhsj != null">
        #{yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="dayyxsj != null">
        #{dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="monthyxsj != null">
        #{monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="yearyxsj != null">
        #{yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="daytjsj != null">
        #{daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="monthtjsj != null">
        #{monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="yeartjsj != null">
        #{yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="daynhyd != null">
        #{daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="monthnhyd != null">
        #{monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="yearnhyd != null">
        #{yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayyxfss != null">
        #{dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="monthyxfss != null">
        #{monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="yearyxfss != null">
        #{yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="dayxfqr != null">
        #{dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="monthxfqr != null">
        #{monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="yearxfqr != null">
        #{yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="dayjfpl != null">
        #{dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="monthjfpl != null">
        #{monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="yearjfpl != null">
        #{yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="dayglyzxxs != null">
        #{dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="monthglyzxxs != null">
        #{monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="yearglyzxxs != null">
        #{yearglyzxxs,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindturbineinfodaytopExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from WINDTURBINEINFODAYTOP
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WINDTURBINEINFODAYTOP
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=DECIMAL},
      </if>
      <if test="record.windpowerstationid != null">
        WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        LINEID = #{record.lineid,jdbcType=VARCHAR},
      </if>
      <if test="record.windturbineid != null">
        WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        RECORDDATE = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.dayfdl != null">
        DAYFDL = #{record.dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfdl != null">
        MONTHFDL = #{record.monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfdl != null">
        YEARFDL = #{record.yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllfdl != null">
        DAYLLFDL = #{record.dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthllfdl != null">
        MONTHLLFDL = #{record.monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearllfdl != null">
        YEARLLFDL = #{record.yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayfs != null">
        DAYFS = #{record.dayfs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfs != null">
        MONTHFS = #{record.monthfs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfs != null">
        YEARFS = #{record.yearfs,jdbcType=DECIMAL},
      </if>
      <if test="record.daygl != null">
        DAYGL = #{record.daygl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgl != null">
        MONTHGL = #{record.monthgl,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargl != null">
        YEARGL = #{record.yeargl,jdbcType=DECIMAL},
      </if>
      <if test="record.daygzssdl != null">
        DAYGZSSDL = #{record.daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgzssdl != null">
        MONTHGZSSDL = #{record.monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargzssdl != null">
        YEARGZSSDL = #{record.yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxdssdl != null">
        DAYXDSSDL = #{record.dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxdssdl != null">
        MONTHXDSSDL = #{record.monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxdssdl != null">
        YEARXDSSDL = #{record.yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daywhssdl != null">
        DAYWHSSDL = #{record.daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwhssdl != null">
        MONTHWHSSDL = #{record.monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwhssdl != null">
        YEARWHSSDL = #{record.yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxnssdl != null">
        DAYXNSSDL = #{record.dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxnssdl != null">
        MONTHXNSSDL = #{record.monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxnssdl != null">
        YEARXNSSDL = #{record.yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daygzsj != null">
        DAYGZSJ = #{record.daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgzsj != null">
        MONTHGZSJ = #{record.monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargzsj != null">
        YEARGZSJ = #{record.yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daywhsj != null">
        DAYWHSJ = #{record.daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwhsj != null">
        MONTHWHSJ = #{record.monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwhsj != null">
        YEARWHSJ = #{record.yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.dayyxsj != null">
        DAYYXSJ = #{record.dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthyxsj != null">
        MONTHYXSJ = #{record.monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yearyxsj != null">
        YEARYXSJ = #{record.yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daytjsj != null">
        DAYTJSJ = #{record.daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthtjsj != null">
        MONTHTJSJ = #{record.monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yeartjsj != null">
        YEARTJSJ = #{record.yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daylyxs != null">
        DAYLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthlyxs != null">
        MONTHLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearlyxs != null">
        YEARLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhyd != null">
        DAYNHYD = #{record.daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.monthnhyd != null">
        MONTHNHYD = #{record.monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.yearnhyd != null">
        YEARNHYD = #{record.yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.daysbklyl != null">
        DAYSBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthsbklyl != null">
        MONTHSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearsbklyl != null">
        YEARSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.daydxkyxs != null">
        DAYDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthdxkyxs != null">
        MONTHDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yeardxkyxs != null">
        YEARDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.dayyxfss != null">
        DAYYXFSS = #{record.dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.monthyxfss != null">
        MONTHYXFSS = #{record.monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.yearyxfss != null">
        YEARYXFSS = #{record.yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxfqr != null">
        DAYXFQR = #{record.dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxfqr != null">
        MONTHXFQR = #{record.monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxfqr != null">
        YEARXFQR = #{record.yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.dayjfpl != null">
        DAYJFPL = #{record.dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthjfpl != null">
        MONTHJFPL = #{record.monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearjfpl != null">
        YEARJFPL = #{record.yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayglyzxxs != null">
        DAYGLYZXXS = #{record.dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthglyzxxs != null">
        MONTHGLYZXXS = #{record.monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearglyzxxs != null">
        YEARGLYZXXS = #{record.yearglyzxxs,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WINDTURBINEINFODAYTOP
    set ID = #{record.id,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      LINEID = #{record.lineid,jdbcType=VARCHAR},
      WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{record.recorddate,jdbcType=TIMESTAMP},
      DAYFDL = #{record.dayfdl,jdbcType=DECIMAL},
      MONTHFDL = #{record.monthfdl,jdbcType=DECIMAL},
      YEARFDL = #{record.yearfdl,jdbcType=DECIMAL},
      DAYLLFDL = #{record.dayllfdl,jdbcType=DECIMAL},
      MONTHLLFDL = #{record.monthllfdl,jdbcType=DECIMAL},
      YEARLLFDL = #{record.yearllfdl,jdbcType=DECIMAL},
      DAYFS = #{record.dayfs,jdbcType=DECIMAL},
      MONTHFS = #{record.monthfs,jdbcType=DECIMAL},
      YEARFS = #{record.yearfs,jdbcType=DECIMAL},
      DAYGL = #{record.daygl,jdbcType=DECIMAL},
      MONTHGL = #{record.monthgl,jdbcType=DECIMAL},
      YEARGL = #{record.yeargl,jdbcType=DECIMAL},
      DAYGZSSDL = #{record.daygzssdl,jdbcType=DECIMAL},
      MONTHGZSSDL = #{record.monthgzssdl,jdbcType=DECIMAL},
      YEARGZSSDL = #{record.yeargzssdl,jdbcType=DECIMAL},
      DAYXDSSDL = #{record.dayxdssdl,jdbcType=DECIMAL},
      MONTHXDSSDL = #{record.monthxdssdl,jdbcType=DECIMAL},
      YEARXDSSDL = #{record.yearxdssdl,jdbcType=DECIMAL},
      DAYWHSSDL = #{record.daywhssdl,jdbcType=DECIMAL},
      MONTHWHSSDL = #{record.monthwhssdl,jdbcType=DECIMAL},
      YEARWHSSDL = #{record.yearwhssdl,jdbcType=DECIMAL},
      DAYXNSSDL = #{record.dayxnssdl,jdbcType=DECIMAL},
      MONTHXNSSDL = #{record.monthxnssdl,jdbcType=DECIMAL},
      YEARXNSSDL = #{record.yearxnssdl,jdbcType=DECIMAL},
      DAYGZSJ = #{record.daygzsj,jdbcType=DECIMAL},
      MONTHGZSJ = #{record.monthgzsj,jdbcType=DECIMAL},
      YEARGZSJ = #{record.yeargzsj,jdbcType=DECIMAL},
      DAYWHSJ = #{record.daywhsj,jdbcType=DECIMAL},
      MONTHWHSJ = #{record.monthwhsj,jdbcType=DECIMAL},
      YEARWHSJ = #{record.yearwhsj,jdbcType=DECIMAL},
      DAYYXSJ = #{record.dayyxsj,jdbcType=DECIMAL},
      MONTHYXSJ = #{record.monthyxsj,jdbcType=DECIMAL},
      YEARYXSJ = #{record.yearyxsj,jdbcType=DECIMAL},
      DAYTJSJ = #{record.daytjsj,jdbcType=DECIMAL},
      MONTHTJSJ = #{record.monthtjsj,jdbcType=DECIMAL},
      YEARTJSJ = #{record.yeartjsj,jdbcType=DECIMAL},
      DAYLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      MONTHLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      YEARLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      DAYNHYD = #{record.daynhyd,jdbcType=DECIMAL},
      MONTHNHYD = #{record.monthnhyd,jdbcType=DECIMAL},
      YEARNHYD = #{record.yearnhyd,jdbcType=DECIMAL},
      DAYSBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      MONTHSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      YEARSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      DAYDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      MONTHDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      YEARDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      DAYYXFSS = #{record.dayyxfss,jdbcType=DECIMAL},
      MONTHYXFSS = #{record.monthyxfss,jdbcType=DECIMAL},
      YEARYXFSS = #{record.yearyxfss,jdbcType=DECIMAL},
      DAYXFQR = #{record.dayxfqr,jdbcType=DECIMAL},
      MONTHXFQR = #{record.monthxfqr,jdbcType=DECIMAL},
      YEARXFQR = #{record.yearxfqr,jdbcType=DECIMAL},
      DAYJFPL = #{record.dayjfpl,jdbcType=DECIMAL},
      MONTHJFPL = #{record.monthjfpl,jdbcType=DECIMAL},
      YEARJFPL = #{record.yearjfpl,jdbcType=DECIMAL},
      DAYGLYZXXS = #{record.dayglyzxxs,jdbcType=DECIMAL},
      MONTHGLYZXXS = #{record.monthglyzxxs,jdbcType=DECIMAL},
      YEARGLYZXXS = #{record.yearglyzxxs,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WINDTURBINEINFODAYTOP
    <set>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        PROJECTID = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        LINEID = #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        RECORDDATE = #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayfdl != null">
        DAYFDL = #{dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthfdl != null">
        MONTHFDL = #{monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearfdl != null">
        YEARFDL = #{yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllfdl != null">
        DAYLLFDL = #{dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthllfdl != null">
        MONTHLLFDL = #{monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearllfdl != null">
        YEARLLFDL = #{yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayfs != null">
        DAYFS = #{dayfs,jdbcType=DECIMAL},
      </if>
      <if test="monthfs != null">
        MONTHFS = #{monthfs,jdbcType=DECIMAL},
      </if>
      <if test="yearfs != null">
        YEARFS = #{yearfs,jdbcType=DECIMAL},
      </if>
      <if test="daygl != null">
        DAYGL = #{daygl,jdbcType=DECIMAL},
      </if>
      <if test="monthgl != null">
        MONTHGL = #{monthgl,jdbcType=DECIMAL},
      </if>
      <if test="yeargl != null">
        YEARGL = #{yeargl,jdbcType=DECIMAL},
      </if>
      <if test="daygzssdl != null">
        DAYGZSSDL = #{daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthgzssdl != null">
        MONTHGZSSDL = #{monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="yeargzssdl != null">
        YEARGZSSDL = #{yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxdssdl != null">
        DAYXDSSDL = #{dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxdssdl != null">
        MONTHXDSSDL = #{monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxdssdl != null">
        YEARXDSSDL = #{yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daywhssdl != null">
        DAYWHSSDL = #{daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthwhssdl != null">
        MONTHWHSSDL = #{monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearwhssdl != null">
        YEARWHSSDL = #{yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxnssdl != null">
        DAYXNSSDL = #{dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxnssdl != null">
        MONTHXNSSDL = #{monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxnssdl != null">
        YEARXNSSDL = #{yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="daygzsj != null">
        DAYGZSJ = #{daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="monthgzsj != null">
        MONTHGZSJ = #{monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="yeargzsj != null">
        YEARGZSJ = #{yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="daywhsj != null">
        DAYWHSJ = #{daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="monthwhsj != null">
        MONTHWHSJ = #{monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="yearwhsj != null">
        YEARWHSJ = #{yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="dayyxsj != null">
        DAYYXSJ = #{dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="monthyxsj != null">
        MONTHYXSJ = #{monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="yearyxsj != null">
        YEARYXSJ = #{yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="daytjsj != null">
        DAYTJSJ = #{daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="monthtjsj != null">
        MONTHTJSJ = #{monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="yeartjsj != null">
        YEARTJSJ = #{yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        DAYLYXS = #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        MONTHLYXS = #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        YEARLYXS = #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="daynhyd != null">
        DAYNHYD = #{daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="monthnhyd != null">
        MONTHNHYD = #{monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="yearnhyd != null">
        YEARNHYD = #{yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        DAYSBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        MONTHSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        YEARSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        DAYDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        MONTHDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        YEARDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayyxfss != null">
        DAYYXFSS = #{dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="monthyxfss != null">
        MONTHYXFSS = #{monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="yearyxfss != null">
        YEARYXFSS = #{yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="dayxfqr != null">
        DAYXFQR = #{dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="monthxfqr != null">
        MONTHXFQR = #{monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="yearxfqr != null">
        YEARXFQR = #{yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="dayjfpl != null">
        DAYJFPL = #{dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="monthjfpl != null">
        MONTHJFPL = #{monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="yearjfpl != null">
        YEARJFPL = #{yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="dayglyzxxs != null">
        DAYGLYZXXS = #{dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="monthglyzxxs != null">
        MONTHGLYZXXS = #{monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="yearglyzxxs != null">
        YEARGLYZXXS = #{yearglyzxxs,jdbcType=DECIMAL},
      </if>
    </set>
    where ID = #{id,jdbcType=DECIMAL}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WINDTURBINEINFODAYTOP
    set WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{projectid,jdbcType=VARCHAR},
      LINEID = #{lineid,jdbcType=VARCHAR},
      WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{recorddate,jdbcType=TIMESTAMP},
      DAYFDL = #{dayfdl,jdbcType=DECIMAL},
      MONTHFDL = #{monthfdl,jdbcType=DECIMAL},
      YEARFDL = #{yearfdl,jdbcType=DECIMAL},
      DAYLLFDL = #{dayllfdl,jdbcType=DECIMAL},
      MONTHLLFDL = #{monthllfdl,jdbcType=DECIMAL},
      YEARLLFDL = #{yearllfdl,jdbcType=DECIMAL},
      DAYFS = #{dayfs,jdbcType=DECIMAL},
      MONTHFS = #{monthfs,jdbcType=DECIMAL},
      YEARFS = #{yearfs,jdbcType=DECIMAL},
      DAYGL = #{daygl,jdbcType=DECIMAL},
      MONTHGL = #{monthgl,jdbcType=DECIMAL},
      YEARGL = #{yeargl,jdbcType=DECIMAL},
      DAYGZSSDL = #{daygzssdl,jdbcType=DECIMAL},
      MONTHGZSSDL = #{monthgzssdl,jdbcType=DECIMAL},
      YEARGZSSDL = #{yeargzssdl,jdbcType=DECIMAL},
      DAYXDSSDL = #{dayxdssdl,jdbcType=DECIMAL},
      MONTHXDSSDL = #{monthxdssdl,jdbcType=DECIMAL},
      YEARXDSSDL = #{yearxdssdl,jdbcType=DECIMAL},
      DAYWHSSDL = #{daywhssdl,jdbcType=DECIMAL},
      MONTHWHSSDL = #{monthwhssdl,jdbcType=DECIMAL},
      YEARWHSSDL = #{yearwhssdl,jdbcType=DECIMAL},
      DAYXNSSDL = #{dayxnssdl,jdbcType=DECIMAL},
      MONTHXNSSDL = #{monthxnssdl,jdbcType=DECIMAL},
      YEARXNSSDL = #{yearxnssdl,jdbcType=DECIMAL},
      DAYGZSJ = #{daygzsj,jdbcType=DECIMAL},
      MONTHGZSJ = #{monthgzsj,jdbcType=DECIMAL},
      YEARGZSJ = #{yeargzsj,jdbcType=DECIMAL},
      DAYWHSJ = #{daywhsj,jdbcType=DECIMAL},
      MONTHWHSJ = #{monthwhsj,jdbcType=DECIMAL},
      YEARWHSJ = #{yearwhsj,jdbcType=DECIMAL},
      DAYYXSJ = #{dayyxsj,jdbcType=DECIMAL},
      MONTHYXSJ = #{monthyxsj,jdbcType=DECIMAL},
      YEARYXSJ = #{yearyxsj,jdbcType=DECIMAL},
      DAYTJSJ = #{daytjsj,jdbcType=DECIMAL},
      MONTHTJSJ = #{monthtjsj,jdbcType=DECIMAL},
      YEARTJSJ = #{yeartjsj,jdbcType=DECIMAL},
      DAYLYXS = #{daylyxs,jdbcType=DECIMAL},
      MONTHLYXS = #{monthlyxs,jdbcType=DECIMAL},
      YEARLYXS = #{yearlyxs,jdbcType=DECIMAL},
      DAYNHYD = #{daynhyd,jdbcType=DECIMAL},
      MONTHNHYD = #{monthnhyd,jdbcType=DECIMAL},
      YEARNHYD = #{yearnhyd,jdbcType=DECIMAL},
      DAYSBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      MONTHSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      YEARSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      DAYDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      MONTHDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      YEARDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      DAYYXFSS = #{dayyxfss,jdbcType=DECIMAL},
      MONTHYXFSS = #{monthyxfss,jdbcType=DECIMAL},
      YEARYXFSS = #{yearyxfss,jdbcType=DECIMAL},
      DAYXFQR = #{dayxfqr,jdbcType=DECIMAL},
      MONTHXFQR = #{monthxfqr,jdbcType=DECIMAL},
      YEARXFQR = #{yearxfqr,jdbcType=DECIMAL},
      DAYJFPL = #{dayjfpl,jdbcType=DECIMAL},
      MONTHJFPL = #{monthjfpl,jdbcType=DECIMAL},
      YEARJFPL = #{yearjfpl,jdbcType=DECIMAL},
      DAYGLYZXXS = #{dayglyzxxs,jdbcType=DECIMAL},
      MONTHGLYZXXS = #{monthglyzxxs,jdbcType=DECIMAL},
      YEARGLYZXXS = #{yearglyzxxs,jdbcType=DECIMAL}
    where ID = #{id,jdbcType=DECIMAL}
  </update>
</mapper>